org.apache.tomcat.util.net

## Class NioEndpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.SendfileData

- Enclosing class:
    NioEndpoint

      public static class NioEndpoint.SendfileData
      extends Object

  SendfileData class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FileChannel` | `fchannel`
    `String` | `fileName`
    `SendfileKeepAliveState` | `keepAliveState`
    `long` | `length`
    `long` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioEndpoint.SendfileData()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileName

          public volatile String fileName

    - #### fchannel

          public volatile FileChannel fchannel

    - #### pos

          public volatile long pos

    - #### length

          public volatile long length

    - #### keepAliveState

          public SendfileKeepAliveState keepAliveState

  - ### Constructor Detail

    - #### NioEndpoint.SendfileData

          public NioEndpoint.SendfileData()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.